services:
  _defaults:
    autowire: true
  token.entity_mapper:
    class: Drupal\token\TokenEntityMapper
    arguments: ['@entity_type.manager', '@module_handler']
  Drupal\token\TokenEntityMapperInterface: '@token.entity_mapper'
  token.tree_builder:
    class: Drupal\token\TreeBuilder
    arguments: ['@token', '@token.entity_mapper', '@cache.data', '@language_manager']
  Drupal\token\TreeBuilderInterface: '@token.tree_builder'
  token.route_subscriber:
    class: Drupal\token\Routing\RouteSubscriber
    arguments: ['@entity_type.manager']
    tags:
      - { name: event_subscriber }
  token.module_provider:
    class: Drupal\token\TokenModuleProvider
    arguments: ['@cache.bootstrap', '@lock', '@token']
    tags:
      - { name: needs_destruction }
  Drupal\token\TokenModuleProvider: '@token.module_provider'

  Drupal\token\Hook\TokenFormHooks:
    class: Drupal\token\Hook\TokenFormHooks
  Drupal\token\Hook\TokenThemeHooks:
    class: Drupal\token\Hook\TokenThemeHooks
  Drupal\token\Hook\TokenEntityHooks:
    class: Drupal\token\Hook\TokenEntityHooks
  Drupal\token\Hook\TokenHooks:
    class: Drupal\token\Hook\TokenHooks
  Drupal\token\Hook\TokenTokensHooks:
    class: Drupal\token\Hook\TokenTokensHooks
  Drupal\token\Hook\TokenTokenInfoHooks:
    class: Drupal\token\Hook\TokenTokenInfoHooks
